unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, jpeg, ExtCtrls, shellapi;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Memo1: TMemo;
    Image1: TImage;
    Label1: TLabel;
    Label2: TLabel;
    CheckBox1: TCheckBox;
    procedure Memo1Change(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure Label2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Memo1Change(Sender: TObject);
begin
  Button1.Font.Style := Button1.Font.Style + [fsBold];
end;

procedure TForm1.Button1Click(Sender: TObject);
var
  MyFile: TFileStream;
  TextToWrite: AnsiString;
begin
  Button1.Font.Style := [];

  // Asigna el texto que deseas guardar
  TextToWrite := Memo1.Lines.Text;

  // Crea un archivo de texto en la ruta especificada
  MyFile := TFileStream.Create('Delicioso memo.txt', fmCreate);

  try
    // Escribe el texto en el archivo
    MyFile.Write(TextToWrite[1], Length(TextToWrite));
  finally
    // Libera el archivo
    MyFile.Free;
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
var
  MyFile: TStringList;
begin
  if FileExists('Delicioso memo.txt') then begin

    // Crea una instancia de TStringList
    MyFile := TStringList.Create;

    try
      // Carga el contenido del archivo en MyFile
      MyFile.LoadFromFile('Delicioso memo.txt');

      // Copia el contenido de MyFile al Memo
      Memo1.Lines.Assign(MyFile);
    finally
      // Libera la memoria de MyFile
      MyFile.Free;
    end;
  end;
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  if not Form1.CheckBox1.Checked then
    Form1.FormStyle := fsNormal
  else
    Form1.FormStyle := fsStayOnTop;
end;

procedure TForm1.Label2Click(Sender: TObject);
begin
  ShellExecute(0,nil,'http://www.andrescarizza.com/programas/deliciosomemo/',nil,nil,SHOW_OPENWINDOW);
end;

end.
